=== debian/changelog ===
ros-iron-vision-msgs-rviz-plugins (4.1.0-3jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Georg Novotny <georg.novotny@aon.at>  Thu, 20 Apr 2023 15:00:36 -0000
