=== debian/control ===
Source: ros-iron-vision-msgs-rviz-plugins
Section: misc
Priority: optional
Maintainer: Georg Novotny <georg.novotny@aon.at>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-python, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-rviz-common, ros-iron-rviz-default-plugins, ros-iron-rviz-rendering, ros-iron-rviz2, ros-iron-vision-msgs, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-vision-msgs-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-rviz-common, ros-iron-rviz-default-plugins, ros-iron-rviz-rendering, ros-iron-rviz2, ros-iron-vision-msgs, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Description: RVIZ2 plugins for visualizing vision_msgs
